kind: Deployment
apiVersion: apps/v1
metadata:
  name: tesk-api
spec:
  selector:
    matchLabels:
      app: tesk-api
  replicas: 1
  template:
    metadata:
      labels:
        app: tesk-api
    spec:
      serviceAccountName: taskmaster
      containers:
      - name: tesk-api
        image: registry.gitlab.com/precmed/deployment/tesk-api:latest-pmu
        imagePullPolicy: Always
        env:
        - name: TESK_API_TASKMASTER_IMAGE_VERSION
          value: v0.5.2
        - name: TESK_API_TASKMASTER_FILER_IMAGE_VERSION
          value:  v0.5.2
        - name: TESK_API_K8S_NAMESPACE
          value: default
        - name: TESK_API_TASKMASTER_SERVICE_ACCOUNT_NAME
          value: taskmaster
        - name: TESK_API_TASKMASTER_FTP_SECRET_NAME
          value: ftp-secret
        - name: TESK_API_AUTHORISATION_ENV_SUBGROUP
          value: EBI 
        - name: SPRING_PROFILES_ACTIVE
          value: noauth
        ports:
        - containerPort: 8080
